Skip to content

List templates with their numbers over a period

GET
/api/v1/workspaces/{workspace}/transactional/templates
curl --request GET \
--url 'https://reputecast.example.com/api/v1/workspaces/acme-newsletter/transactional/templates?period=24h' \
--header 'Authorization: Bearer <token>'

Permission: transactional:view

Each template’s live version, draft state, sent, delivery, bounce and complaint rates, median delivery time, last send and a sparkline. Test messages are left out unless includeTest.

workspace
required

Workspace slug

string
/^[a-z0-9][a-z0-9-]{1,62}$/

Workspace slug

period

The period of the numbers

string
default: 7d
Allowed values: 24h 7d 30d

The period of the numbers

includeTest

Count messages sent with test-mode keys

boolean

Count messages sent with test-mode keys

OK

Media typeapplication/json
object
canEdit
required
boolean
canPublish
required
boolean
items
required
Array<object>
object
archived
required
boolean
attachments
required

Recent messages carried attachments

boolean
category
object
id
required
string
kind
required
string
Allowed values: essential optional
name
required
string
description
required
string
draftChanges
required
boolean
draftVersion
required
integer format: int64
id
required
string
key
required
string
lastSentAt
string format: date-time
liveVersion
integer format: int64
name
required
string
spark
required
Array<integer>
stats
required
object
bounceRate
required
number format: double
bounced
required
integer format: int64
clicked
required
integer format: int64
complained
required
integer format: int64
complaintRate
required
number format: double
deferred
required
integer format: int64
delivered
required
integer format: int64
deliveryRate
required
number format: double
failed
required
integer format: int64
medianMs
integer format: int64
opened
required
integer format: int64
rejected
required
integer format: int64
rejectedReason

10 suppressed · 2 opted out

string
sent
required
integer format: int64
updatedAt
required
string format: date-time
usedByProducts
integer format: int64
period
required
string
Allowed values: 24h 7d 30d
readOnlyReason
string

Example

{
"items": [
{
"category": {
"kind": "essential"
}
}
],
"period": "24h"
}

Error

Media typeapplication/problem+json
object
code

Stable error code, e.g. permission_denied

string
detail

A human-readable explanation specific to this occurrence of the problem.

string
errors

Optional list of individual error details

Array<object>
object
location

Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’

string
message

Error message text

string
value

The value at the given location

helpers

Members who hold the missing permission

Array<string>
instance

A URI reference that identifies the specific occurrence of the problem.

string format: uri
meta
object
key
additional properties
permission

The missing permission key

string
status

HTTP status code

integer format: int64
title

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string
type

A URI reference to human-readable documentation for the error.

string format: uri
default: about:blank

Example

{
"detail": "Property foo is required but is missing.",
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "about:blank"
}